Subject: bug#64488: qtbase and qmake are showing incorrect include folders

From: Chris Cochrun <[email-masked]>
Date: Wed, 05 Jul 2023 16:17:42 -0500

With the qtbase package, qmake is showing incorrect info about it's installation when you run qmake -query.

If you need include files or libraries from other packages, these won't be used in the qmake utility. It appears as if qmake is only seeing info in the qtbase directory in the store rather than the installed profile directory. This seems to be the same situation of what happened in the nix package too. <https://github.com/NixOS/nixpkgs/issues/239971>

I was trying to use a tool that requires this in a project of mine but it doesn't really help me much when I can't use qmake to access info in the qtdeclarative package. Even if both are installed in the same profile or shell.

I hope someone smarter than me knows how to fix that. Also, first time posting in the mailing list, so I hope I did it all right.

--
*Chris*
/Praising God in all things!/